<div class="row">
  <div class="col-md-6 form-group required col-sm-12">
    <div class="row">
      <div class="col-md-6 form-group required col-sm-12">
        <label class="for-label">عنوان مرحله:</label>
        <span style="color: red">*</span>
        <input class="form-control form-control-sm"
               [(ngModel)]="levelForEdit.title"
               type="text"
               name="title"
               [placeholder]="'عنوان'"
               style="font-size: 12px">
      </div>

    </div>

    <div class="row">

      <div class="col-12">
        <div class="input-group">
          <label class="for-label"> فرم مورد نظر:</label>
          <span style="color: red">*</span>
          <ng-select [items]="formList"
                     bindLabel="title"
                     bindValue="id"
                     [addTag]="false"
                     [multiple]="false"
                     style="width: 100%;"
                     [(ngModel)]="levelForEdit.formId"
                     placeholder="فرم مورد نظر را انتخاب کنید"
                     dropdownPosition="bottom"
                     name="staticFormsIdList"
                     id="staticFormsIdList"
          >
          </ng-select>
        </div>
      </div>


    </div>
    <!--========================================-->
    <div class="row">
      <div class="col-md-12 form-group required col-sm-12">
        <label class="for-label">توضیحات :</label>
        <textarea class="form-control form-control-sm"
                  type="text"
                  name="title"
                  [placeholder]="'توضیحات'"
                  [(ngModel)]="levelForEdit.description"

                  style="height: 100px ;resize: none; font-size: 12px">

        </textarea>
      </div>

    </div>
    <button
            type="button"
            class="btn btn-success m-2"
            (click)="addLevel()">
      <ng-container *ngIf="!levelForEdit.id">
        <i class="fa fa-plus-square" aria-hidden="true">&nbsp;</i>افزودن
      </ng-container>
      <ng-container *ngIf="levelForEdit.id">
        <i class="fa fa-edit" aria-hidden="true">&nbsp;</i>تایید تغییرات
      </ng-container>
    </button>
    <ng-container *ngIf="levelForEdit.id">
      <button type="button"
              class="btn btn-warning m-2"
              (click)="cancelEdit()">
        انصراف
      </button>
    </ng-container>
  </div>
  <div class="col-md-6 form-group required col-sm-12">
    <div class="mt-4" *ngIf="process.levelList.length > 0">
      <h4 class="tables_header">لیست مراحل</h4>
      <div class="w-100 table-responsive">
        <table class="table table-bordered table-striped table-hover mb-0">
          <thead class="text-center">
          <tr>
            <th class="vertical-align-center">ردیف</th>
            <th class="vertical-align-center"> عنوان</th>
            <th class="vertical-align-center">توضیحات</th>
            <th class="vertical-align-center">ویرایش</th>
            <th class="vertical-align-center">عملیات</th>
          </tr>
          </thead>
          <tbody>
          <ng-container *ngFor="let item of process.levelList; let i=index">

            <tr class="text-center"
                [ngStyle]="{'background-color':levelForEdit?.id === item?.id ? '#b5f58f': ''}"
            >

              <ng-container *ngIf="item?.id!=='start'&&item?.id!=='end'">
                <td class="vertical-align-center">{{i + 1 }}</td>
                <td class="vertical-align-center">
                  <span>{{item?.title}}</span></td>
                <td class="vertical-align-center"
                    style=" text-overflow: ellipsis;
                                                            overflow: hidden;
                                                             white-space: nowrap;
                                                             max-width: 100px;">
                  {{item?.description}}
                </td>


                <td class="vertical-align-center">
                  <a>
                    <!--                                (click)=" edit(item.id,i)"-->
                    <span
                            (click)=" editLevel(item)"
                            style="padding: 0 3px; cursor: pointer; color: #53565d;">
                      <i class="fa fa-edit" title="ویرایش"></i>
                    </span>
                  </a>
                </td>
                <td class="vertical-align-center">
                  <i class="fa fa-arrow-up cursor-pointer  mx-1" *ngIf="i>0"
                     (click)="elementMove('up',i)"></i>
                  <i class="fa fa-arrow-up cursor-not-allowed mx-1 "
                     style="color: #9498b0"
                     *ngIf="i===0"></i>
                  <i class="fa fa-arrow-down cursor-pointer mx-1 "
                     *ngIf="i+1<process.levelList.length"
                     (click)="elementMove('down',i) "></i>
                  <i class="fa fa-arrow-down cursor-not-allowed mx-1 "
                     style="color: #9498b0"
                     *ngIf="i+1===process.levelList.length"></i>
                  <span (click)="delete(i)"
                        style="padding: 0 3px; cursor: pointer; color: red; width: 100%; text-align:center">
                    <i class="fa fa-trash" title="حذف"></i></span>

                </td>
              </ng-container>

            </tr>
          </ng-container>

          </tbody>
        </table>
      </div>
    </div>
  </div>


</div>
